.\"
.\" DI $Id: postxml.tr,v 1.13 2013/10/30 20:27:30 pj Exp $
.\" DA Pierre‐Jean Fichet
.\" DS Utroff prexml and postxml manual
.\" DT Utroff prexml and postxml manual
.\" DK utroff prexml postxml troff nroff heirloom tmac xml
.
.
.
.TH PREXML & '2013‐11‐05'
.
.
.
.SH NAME
.PP
\fBprexml postxml\fR - \fInroff\fR processors to build xml files.
.
.
.
.SH SYNOPSIS
.PP
\fI@BINDIR@/prexml\fR < \fIfile.tr\fR |
\fInroff\fR \fB‐m\fR\fIux\fR |
\fI@BINDIR@/postxml\fR > \fIfile.xml\fR
.
.
.
.SH DESCRIPTION
.PP
\fIPostxml\fR provide a solution to build
an xml file from a troff document that rely on \fInroff\fR
itself. Since \fInroff\fR build a plain text file from a troff
document, it can be used, with an appropriate macro, to
produce an intermediate file that \fIpostxml\fR
will translate to xml.
.PP
That intermediate file contain tags that \fIpostxml\fR will
transform to xml tags. If these tags are present in the
source file, and need to be printed as is, \fIprexml\fR
simply escape these tags so that \fIpostxml\fR won’t
substitute them.
.PP
Since the final xml file might contain utf‐8 characters, the
\fB‐T\fR\fIlocale\fR option of \fInroff\fR must be used.
.PP
\fIprexml\fR and \fIpostxml\fR are provided with the
\fBux\fR macro that insert tags in an \fButmac\fR
document.
.PP
So, the command line could be:
.PP
.EX
prexml \fB<\fR file.tr \fB|\fR nroff -Tlocale \
-mux \fB|\fR postxml \fB>\fR file.xml
.EE
.
.
.
.SH TAGS
.
.
.
.SS Postxml
.RS 3
.PP
\fIPostxml\fR will substitute the following tags.
.TP
\fB#[\fR
Replaced by \fB<\fR.
.TP
\fB#]\fR
Replaced by \fB>\fR.
.TP
\fB#(\fR
Replaced by \fB&\fR.
.TP
\fB#)\fR
Replaced by \fB;\fR.
.TP
\fB#~\fR
Replaced by \fB#\fR.
.TP
\fB\n#‐\n\fR
Removed from stream.
.PP
So the following text:
.PP
.EX
Some text
\fI#-\fR
\fB#[\fRa\fB#]\fR
\fI#-\fR
note text
\fB#[\fR/a\fB#]\fR
\fB#(lt#)\fP.
.EE
.PP
Will be transform in:
.PP
.EX
Some text\fB<\fRa\fB>\fRnote text\fB</\fRa\fB>\fR \fB&lt;\fP.
.EE
.
.
.
.SS Prexml
.RS 3
.PP
All these tags will be escaped by \fIprexml\fR if they are
present in the original file, following these rules:
.TP
\fB#[\fR
Replaced by \fB#~[\fR.
.TP
\fB#]\fR
Replaced by \fB#~]\fR.
.TP
\fB#(\fR
Replaced by \fB#~(\fR.
.TP
\fB#)\fR
Replaced by \fB#~)\fR.
.TP
\fB#~\fR
Replaced by \fB#~~\fR.
.TP
\fB\n#‐\n\fR
Replaced by \fB#~‐\fR.
.
.
.
.SH FILES
.PP
\fI@BINDIR@/prexml\fR
\fI@BINDIR@/postxml\fR
.
.
.
.SH SEE ALSO
.PP
nroff(1) ,
trxtr(1).
.
.
.
.SH LICENSE
.PP
\fIPrexml\fR, \fIpostxml\fR and this man page are
distributed under a
two clause BSD
license.
.
.
.
.SH BUGS & HELP
.PP
Don’t hesitate to ask questions at help at utroff dot org.
Please, send bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHOR
.PP
Written by Pierre‐Jean \fCFichet\fR.
